# $Revision: 1.16 $, $Date: 2002/02/25 10:30:35 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	Data
%define	pnam	Locations
Summary:	Data-Locations perl module
Summary(pl):	Modu perla Data-Locations
Name:		perl-Data-Locations
Version:	5.2
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Data-Locations - magic insertion points in your data.

%description -l pl
Modu perla Data-Locations.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

gzip -9nf *txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%{perl_sitearch}/Data/Locations.pm
%dir %{perl_sitearch}/auto/Data/Locations
%{perl_sitearch}/auto/Data/Locations/Locations.bs
%attr(755,root,root) %{perl_sitearch}/auto/Data/Locations/Locations.so
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Data-Locations.spec,v $
Revision 1.16  2002/02/25 10:30:35  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:11:01  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:25:06  depesz
adapterized

Revision 1.12  2002/01/18 02:14:14  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/05/02 21:51:25  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.10  2001/04/17 12:07:36  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/25 20:03:44  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.7  2000/12/30 09:01:27  kloczek
- release 4: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.6  2000/06/09 07:23:33  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.2  1999/11/04 19:34:19  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 18:15:15  pius
- initial release
